Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Interface ReceiverContext

All Superinterfaces:
  QnameFactory

All Known Implementing Classes:
  AbstractReceiverContext, ChildReceiverContext, RootReceiverContext

    public interface ReceiverContext

extends QnameFactory

Field Summary
`static int` | `UNDEFINED_SYMBOL`

Method Summary
`ReceiverContext` | `createChildContext(Name childName, org.xml.sax.Attributes attributes, Dictionary<java.lang.String,java.lang.String> prefixMap)`
`org.xml.sax.Attributes` | `getCurrentElementAttributes()`
`Name` | `getCurrentElementName()`
`int` | `getCurrentElementSymbol()`
`javax.xml.datatype.DatatypeFactory` | `getDatatypeFactory()`
`int` | `getLevel()`
`MutableNameTable` | `getNameTable()`
`Name` | `getParentElementName()`
`int` | `getParentElementSymbol()`
`Dictionary<java.lang.String,java.lang.String>` | `getPrefixMap()`
`int` | `getSymbol(Name name)`

Methods inherited from interface com.servingxml.util.QnameFactory
`createName`

Field Detail

### UNDEFINED_SYMBOL

    static final int UNDEFINED_SYMBOL

See Also:
  Constant Field Values

Method Detail

### getSymbol

    int getSymbol(Name name)

### getCurrentElementSymbol

    int getCurrentElementSymbol()

### getCurrentElementName

    Name getCurrentElementName()

### getParentElementName

    Name getParentElementName()

### getParentElementSymbol

    int getParentElementSymbol()

### createChildContext

    ReceiverContext createChildContext(Name childName,
                                       org.xml.sax.Attributes attributes,
                                       Dictionary<java.lang.String,java.lang.String> prefixMap)

### getLevel

    int getLevel()

### getDatatypeFactory

    javax.xml.datatype.DatatypeFactory getDatatypeFactory()

### getCurrentElementAttributes

    org.xml.sax.Attributes getCurrentElementAttributes()

### getNameTable

    MutableNameTable getNameTable()

### getPrefixMap

    Dictionary<java.lang.String,java.lang.String> getPrefixMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD